MCP Reference: firestore.googleapis.com

Firestore MCP Server provides tools to interact with Firestore.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Cloud Firestore API MCP server has the following global MCP endpoint:

  • https://firestore.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The firestore.googleapis.com MCP server has the following tools:

MCP Tools
get_document Get a document from a Firestore database.
add_document Create a document from a Firestore database.
update_document Update a document from a Firestore database.
delete_document Delete a document from a Firestore database.
list_documents List documents from a Firestore database.
list_collections List all the collection IDs underneath a document.
create_database Create a Firestore database.
get_database Get a Firestore database.
list_databases List Firestore databases.
update_database Update a Firestore database.
delete_database Delete a Firestore database.
create_index Create a composite index.
get_index Get a Firestore index.
list_indexes List Firestore indexes.
delete_index Delete a Firestore index.
get_backup Get a Firestore backup.
list_backups List Firestore backups.
delete_backup Delete a Firestore backup.
create_backup_schedule Create a Firestore backup schedule.
get_backup_schedule Get a Firestore backup schedule.
list_backup_schedules List Firestore backup schedules.
update_backup_schedule Update a Firestore backup schedule.
delete_backup_schedule Delete a Firestore backup schedule.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
curl --location 'https://firestore.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'